:root {
    --primary-color: #204172;
    --primary-color-75: rgb(0 37 84 / 75%);
    --primary-color-hover: #2a528fd4;
    --backgroundGlobal: linear-gradient(115deg, rgba(0, 37, 84, 0.9), rgba(0, 37, 84, 0.8));
    --white-color: #ffffff;
    --font: "Avenir";
    --bg-dradient: linear-gradient(
        115deg,
        rgba(0, 96, 218, 0.7),
        rgba(0, 37, 84, 0.8)
    );
    --bg-img: var(--bg-dradient), url(../img/chiapas.webp);
    --conectate-en-bg: linear-gradient(92.83deg, #ff7426 0, #f93a13 100%);
    --conectate-en-bg-disabled: linear-gradient(
            0deg,
            rgba(0, 0, 0, 0.2),
            rgba(0, 0, 0, 0.2)
        ),
        linear-gradient(92.83deg, #ff7426 0, #f93a13 100%);
}

@font-face {
    font-family: 'Avenir';
    src: url('../assets/fonts/Avenir-Roman.woff2') format('woff2'),;
    font-weight: bold;
    font-style: normal;
}

html,body {
    margin: 0;
    padding: 0;
    height: 100%;
    font-size: 16px;
    font-family: var(--font), serif;
    line-height: 1.4;
    scroll-behavior: smooth;
    /*color: var(--white-color);*/
}


.width-100 {
    width: 100%;
}

.loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100dvh;
    color: var(--primary-color);
    fill: var(--primary-color);
    background: rgb(255, 255, 255);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: opacity 0.5s ease-out, visibility 0.5s ease-out;
    z-index: 999;
}


.container-custom{
    display: grid;
    min-height: 100dvh;
    /*height: 100dvh;*/
    /*overflow: hidden;*/
}

.content-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    height: 100%;
    /*overflow-x: hidden;*/
    /*overflow-y: auto;*/
    color: white;
    padding: 2rem 0;
    /* gap: 2rem; */
}
.content-container-modal{
    height: 100%;
    /*overflow-x: hidden;*/
    /*overflow-y: auto;*/
    background: linear-gradient(0deg, rgb(255 255 255) 27%, rgb(238 238 238) 80%);
    color: #000;
    padding: 2rem 0;
}



/* campaign image */

/* campaign video */

/* campaign form */

label {
    display: flex;
    align-items: center;
    font-size: 1.12rem;
}

video {
    width: 100%;
}

.element p {
    margin-top: 0;
    margin-bottom: 0rem;
}

.form-title b,
.form-title strong {
    font-size: calc(1.375rem + 1.5vw);
    font-weight: 500;
}

.form-title p {
    font-size: calc(1.375rem + 0.2vw);
    font-weight: 100;
}

.form-description p,
.form-title p {
    margin-top: 0;
    margin-bottom: 0rem;
}

.obligatory {
    margin-top: 7px;
    margin-left: 6px;
    color: white;
    font-size: 1.5em;
    line-height: 0;
}

.logo-white {
    width: 100%;
    /* filter: invert(1) brightness(2); */
}

.column-gap {
    column-gap: 1rem;
}

.vh-100 {
    height: 100svh;
}

.header_description {
    font-weight: 300;
}

.card-form {
    background-color: var(--primary-color-75);
    border-radius: 0.8rem;
    padding: 20px;
}

.card-form .control {
    background: none;
    color: #c6c6c6;
    font-size: 18px;
    padding: 10px;
    display: block;
    width: 100%;
    border: none;
    border-bottom: 1px solid #c6c6c6;
    border-radius: 0;
}

.card-form .control:focus {
    outline: none;
    color: #ededed;
}

.table-container {
    width: 100%;
    overflow-x: auto;
}

.table-container .min-width-column {
    min-width: 130px;
}

.table-container table th,
.table-container table td {
    /* color: var(--white-color); */
    min-width: 100px;
    text-align: center;
    align-content: center;
}

.table-container table .sticky {
    min-width: 130px;
    position: sticky;
    left: 0;
    z-index: 999;
}

.table-container table tbody tr {
    background: #d3d3d342;
}

.table-container table tbody tr:nth-child(2n) {
    background: #f2f2f273;
}

.table-container table tbody tr:nth-child(2n) .sticky {
    background: #f2f2f2;
}

.table-container table tbody tr .sticky {
    background: #ffffff;
}

.table-container table thead th {
    background: #3333339a;
    color: var(--white-color);
}

.table-container table thead .sticky.min-width-column {
    background: #253142 !important;
}

.custom-tooltip {
    position: relative;
    display: inline-block;
}

.custom-tooltip .tooltip-text {
    display: flex;
    visibility: hidden;
    width: 100%;
    height: 100%;
    background-color: #2121219c;
    color: #fff;
    text-align: center;
    border-radius: 5px;
    padding: 5px;
    position: absolute;
    z-index: 1;
    top: 0;
    opacity: 0;
    transition: opacity 0.3s;
    justify-content: center;
    align-items: center;
    border-radius: var(--bs-border-radius-lg) !important;
}

.custom-tooltip:hover .tooltip-text {
    visibility: visible;
    opacity: 1;
}

/* input radio */
.radio-wrapper {
    display: flex;
    flex-direction: column;
}

.answer_image {
    max-width: 120px;
    /* Ajusta el tamaño según tus necesidades */
    height: auto;
    margin-top: 8px;
    margin-left: 30px;
}

.answer_image_grid {
    max-width: 50px;
    /* Ajusta el tamaño según tus necesidades */
    height: auto;
}

/* input check */
.checkbox-wrapper {
    display: flex;
    flex-direction: column;
}

.custom-checkbox {
    display: flex;
    align-items: center;
    position: relative;
    padding-left: 30px;
    /* Espacio para el borde simulado */
    cursor: pointer;
}

.custom-checkbox input[type="checkbox"] {
    display: none;
    /* Oculta el checkbox input */
}

.custom-checkbox .checkbox-btn {
    width: 20px;
    height: 20px;
    border-radius: 4px;
    /* Borde cuadrado para checkbox */
    background-color: transparent;
    /* Color cuando no está seleccionado */
    border: 2px solid #ffffff;
    /* Borde simulado */
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    transition: background-color 0.2s, border-color 0.2s;
    display: flex;
    align-items: center;
    justify-content: center;
}

.custom-checkbox input[type="checkbox"]:checked + .checkbox-btn {
    background-color: #4caf5000;
    border-color: #ffffff;
}

.custom-checkbox .checkbox-btn::after {
    content: "";
    position: absolute;
    width: 6px;
    height: 12px;
    border: solid white;
    border-width: 0 2px 2px 0;
    display: none;
    /* Oculto inicialmente */
    transform: rotate(45deg);
}

.custom-checkbox input[type="checkbox"]:checked + .checkbox-btn::after {
    display: block;
    /* Muestra la paloma blanca */
}

/* Termina campaign form */

.pulse {
    animation: pulse-animation 1s infinite;
}

.pulse:hover {
    animation: none;
}

@keyframes pulse-animation {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.1);
    }
    100% {
        transform: scale(1);
    }
}

.button-77 {
    background-clip: padding-box;
    background-color: var(--conectate-en-bg);
    background-image: none;
    border-style: none;
    box-sizing: border-box;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    flex-direction: row;
    flex-shrink: 0;
    font-family: Eina01, sans-serif;
    font-size: 14px;
    font-weight: 700;
    justify-content: center;
    line-height: 24px;
    margin: 0;
    outline: none;
    overflow: visible;
    padding: 12px;
    pointer-events: auto;
    position: relative;
    text-align: center;
    text-decoration: none;
    text-transform: none;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    vertical-align: middle;
    width: auto;
    word-break: keep-all;
    z-index: 0;
}

@media (min-width: 768px) {
    .button-77 {
        padding: 12px;
    }
}

.button-77:before,
.button-77:after {
    border-radius: 80px;
}

.button-77:before {
    background-color: rgb(255, 255, 255);
    content: "";
    display: block;
    height: 100%;
    left: 0;
    overflow: hidden;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: -2;
}

.button-77:after {
    background-color: initial;
    background-image: var(--conectate-en-bg);
    bottom: 2px;
    content: "";
    display: block;
    left: 2px;
    overflow: hidden;
    position: absolute;
    right: 2px;
    top: 2px;
    transition: all 100ms ease-out;
    z-index: -1;
}

.button-77:hover:not(:disabled):after {
    bottom: 2;
    left: 2;
    right: 2;
    top: 2;
    transition-timing-function: ease-in;
}

.button-77:active:not(:disabled) {
    color: #ccc;
}

.button-77:active:not(:disabled):after {
    bottom: 2px;
    left: 2px;
    right: 2px;
    top: 2px;
}

.button-77:disabled:after {
    opacity: 0.85;
}
.button-77:disabled {
    cursor: not-allowed; /* Change cursor to indicate disabled state */
}
